

# ListInputRoutings
<a name="API_ListInputRoutings"></a>

**Important**  
End of support notice: On May 20,2026, Amazon will end support for Amazon IoT Events. After May 20,2026, you will no longer be able to access the Amazon IoT Events console or Amazon IoT Events resources. For more information, see [Amazon IoT Events end of support](https://docs.amazonaws.cn/iotevents/latest/developerguide/iotevents-end-of-support.html). 

 Lists one or more input routings. 

## Request Syntax
<a name="API_ListInputRoutings_RequestSyntax"></a>

```
POST /input-routings HTTP/1.1
Content-type: application/json

{
   "inputIdentifier": { 
      "iotEventsInputIdentifier": { 
         "inputName": "{{string}}"
      },
      "iotSiteWiseInputIdentifier": { 
         "iotSiteWiseAssetModelPropertyIdentifier": { 
            "assetModelId": "{{string}}",
            "propertyId": "{{string}}"
         }
      }
   },
   "maxResults": {{number}},
   "nextToken": "{{string}}"
}
```

## URI Request Parameters
<a name="API_ListInputRoutings_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListInputRoutings_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [inputIdentifier](#API_ListInputRoutings_RequestSyntax) **   <a name="iotevents-ListInputRoutings-request-inputIdentifier"></a>
 The identifier of the routed input.   
Type: [InputIdentifier](API_InputIdentifier.md) object  
Required: Yes

 ** [maxResults](#API_ListInputRoutings_RequestSyntax) **   <a name="iotevents-ListInputRoutings-request-maxResults"></a>
 The maximum number of results to be returned per request.   
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 250.  
Required: No

 ** [nextToken](#API_ListInputRoutings_RequestSyntax) **   <a name="iotevents-ListInputRoutings-request-nextToken"></a>
 The token that you can use to return the next set of results.   
Type: String  
Required: No

## Response Syntax
<a name="API_ListInputRoutings_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "routedResources": [ 
      { 
         "arn": "string",
         "name": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListInputRoutings_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListInputRoutings_ResponseSyntax) **   <a name="iotevents-ListInputRoutings-response-nextToken"></a>
 The token that you can use to return the next set of results, or `null` if there are no more results.   
Type: String

 ** [routedResources](#API_ListInputRoutings_ResponseSyntax) **   <a name="iotevents-ListInputRoutings-response-routedResources"></a>
 Summary information about the routed resources.   
Type: Array of [RoutedResource](API_RoutedResource.md) objects

## Errors
<a name="API_ListInputRoutings_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalFailureException **   
An internal failure occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request was invalid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The resource was not found.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is currently unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The request could not be completed due to throttling.    
 ** message **   
The message for the exception.
HTTP Status Code: 429

## See Also
<a name="API_ListInputRoutings_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iotevents-2018-07-27/ListInputRoutings) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iotevents-2018-07-27/ListInputRoutings) 
+  [Amazon SDK for C\+\+](https://docs.amazonaws.cn/goto/SdkForCpp/iotevents-2018-07-27/ListInputRoutings) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iotevents-2018-07-27/ListInputRoutings) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iotevents-2018-07-27/ListInputRoutings) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iotevents-2018-07-27/ListInputRoutings) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iotevents-2018-07-27/ListInputRoutings) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iotevents-2018-07-27/ListInputRoutings) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iotevents-2018-07-27/ListInputRoutings) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iotevents-2018-07-27/ListInputRoutings) 